Get EVM internal transactions by hash
curl --request GET \
--url https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/tx/v1/evm-internal-txs/{tx_hash}import requests
url = "https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/tx/v1/evm-internal-txs/{tx_hash}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/tx/v1/evm-internal-txs/{tx_hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"internal_txs": [
{
"height": 123,
"hash": "<string>",
"parent_index": 123,
"index": 123,
"type": "<string>",
"from": "<string>",
"to": "<string>",
"input": "<string>",
"output": "<string>",
"value": "<string>",
"gas": "<string>",
"gasUsed": "<string>"
}
],
"pagination": {
"previous_key": "<string>",
"next_key": "<string>",
"total": "<string>"
}
}EVM Internal Transactions
Get EVM internal transactions by hash
Returns EVM internal transactions for a specific transaction hash. Only available on EVM chains.
GET
/
indexer
/
tx
/
v1
/
evm-internal-txs
/
{tx_hash}
Get EVM internal transactions by hash
Path Parameters
The transaction hash.
Query Parameters
Cursor key for pagination.
Number of records to skip.
Maximum number of records to return. Defaults to 100.
Whether to return the total count. Defaults to true.
When true, returns results in descending order. Defaults to true.
Was this page helpful?
⌘I